' (c) John Harding, 2012 - see license.txt for 
' licensing details

' Example designed for Gen 2 Prius

' Configures connection speed to 500kbps and 
' monitors for CAN id 52Ch when data is received
' we calculate the ECT from the appropriate data
' bytes.

' Note that the period of this message is 
' approximately 1Hz

Cls
Dim ok
Dim data(8)
Dim ect

CAN CONFIG ok
CAN SETSPEED 500000, ok
CAN ADDRXCHNL 0,&h52C,0,1,ok
CAN ENABLE ok

Timer = 0
Do
  If (Inkey$ = "q") Then Exit
  CAN RX 0,data(0),ok
  If (ok=1) Then
    Print Timer ": ECT = " (data(1)/2)
  EndIf
Loop

CAN FREE

End